This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509039 - anaconda --version isn't supported
anaconda --version isn't supported
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 19:58 EDT by Bruce Jerrick
Modified: 2009-07-22 17:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Jerrick 2009-06-30 19:58:39 EDT
Description of problem:
anaconda does not support --version.
It would be nice to know the version when operating in an install or
rescue environment, especially in the development phase.

Version-Release number of selected component (if applicable):
anaconda-11.5.0.59-1.fc11

How reproducible:
100%

Steps to Reproduce:
1. Run:
    anaconda --version
  
Actual results:
    Usage: anaconda [options]
    anaconda: error: no such option: --version

Expected results:
Something like:
    anaconda version 11.5.0.60

Additional info:
Note that 'rpm -q anaconda' does not work in an install or rescue
environment -- there's no RPM database.
Comment 1 Chris Lumens 2009-07-10 11:07:40 EDT
Is the environment variable $ANACONDAVERSION not set?
Comment 2 Andy Lindeberg 2009-07-22 17:13:20 EDT
Honestly, this isn't going to happen. anaconda displays its version number whenever it starts up, so rescue mode or the install can always be restarted if you really need to catch the version number.

We will, however, consider patches.

Note You need to log in before you can comment on or make changes to this bug.